For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Fork this repoGet a demo
  • Get Started
    • Welcome
    • Concepts
    • SDKs
  • API Reference
      • POSTAdd a new plant to the store
      • PUTUpdate an existing plant
      • GETSearch plants by status
      • GETSearch plants by tags
      • GETFind plant by ID
LogoLogo
Fork this repoGet a demo
API Referenceplant

Find plant by ID

GET
https://api.plantstore.dev/v3/plant/:plantId
GET
/v3/plant/:plantId
$curl https://api.plantstore.dev/v3/plant/1
200Retrieved
1{
2 "id": 101,
3 "name": "Fern",
4 "status": "available",
5 "tags": [
6 "green",
7 "leafy"
8 ]
9}
Retrieve a plant's details by its ID.
Was this page helpful?
Previous

Logs user into the system

Next
Built with

Path parameters

plantIdintegerRequired
ID of the plant to retrieve

Response

Details of the requested plant
idinteger
namestring
statusstring
tagslist of strings